Name:           jargs
Version:        1.0
Release:        7%{?dist}
Summary:        Java command line option parsing suite

Group:          Development/Libraries
License:        BSD
URL:            http://jargs.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  ant
BuildRequires:  junit

Requires:       java
Requires:       jpackage-utils

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description javadoc
%{summary}.


%description
This project provides a convenient, compact, pre-packaged and 
comprehensively documented suite of command line option parsers 
for the use of Java programmers. 
Initially, parsing compatible with GNU-style 'getopt' is provided.

%prep
%setup -q
find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;


%build
ant runtimejar javadoc


%install
rm -rf %{buildroot}
# jar
mkdir -p %{buildroot}%{_javadir}
cp -p lib/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar
# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr doc/* %{buildroot}%{_javadocdir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README LICENCE TODO doc/CHANGES 
%{_javadir}/%{name}.jar


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}/


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 19 2009 Guido Grazioli <guido.grazioli@gmail.com> 1.0-5
- sanitized %%files
- fixed Source url again, according to Fedora guidelines
* Sat May 09 2009 Guido Grazioli <guido.grazioli@gmail.com> 1.0-4
- added junit within BuildRequires
- fixed Source url
* Sat May 09 2009 Guido Grazioli <guido.grazioli@gmail.com> 1.0-3
- removed versioned jar
* Sat May 09 2009 Guido Grazioli <guido.grazioli@gmail.com> 1.0-2
- fixed BuildRequires and Requires tags
- made javadoc package require main package
* Wed May 06 2009 Guido Grazioli <guido.grazioli@gmail.com> 1.0-1
- initial packaging
